#include <stdio.h>
#include <stdlib.h>

double pot(double x, int n)
{
   double p;
   int i;

   p = 1.0;
   for(i=0; i<n; i=i+1)
   {
      p = p*x;
   }
   return p;
}

double a[101]; // = {1.0, 0.0, -0.1, 0.0, 10.0, 0.0};

double w1(double x, int n)
{
   double S;
   int i;

   S = 0.0;
   for(i=0; i<=5; i=i+1)
   {
      S = S+a[i]*pot(x,5-i);
   }
   return S;
}

double w2(double x, int n)
{
   double S;
   int i;

   S = a[0]*x+a[1];
   for(i=2; i<=n; i=i+1)
   {
      S = S*x + a[i];
   }
   return S;
}

int main()
{
   FILE *fF;
   double S;
   int i,n;

   fF = fopen("dane.txt", "r");
   if( fF==NULL )
   {
       perror("ERROR: \"dane.txt\"");
       exit(-1);
   }
   fscanf(fF, "%i", &n);
   for(i=0; i<=n; i=i+1)
   {
      fscanf(fF, "%lf", &a[i]);
   }
   fclose( fF );
   printf("n: %i\n", n);
   for(i=0; i<=n; i=i+1)
   {
      printf("a[%i]: %6.2lf\n", i, a[i]);
   }
//   printf("a[1]: %6.2lf\n", a[1]);
   printf("\n");
   S = w1( 2.0, n);
   printf("w1: %5.2lf\n", S);
   S = w2( 2.0, n);
   printf("w2: %5.2lf\n", S);
   return 0;
}
